Skip to main content
Monitoring & Collection/Grafana Integration

ListImportedDashboards

List all dashboards that have been imported into a tenant's Grafana organization

GET/api/v1/monitoring/grafana/dashboards

Operation ID

ListImportedDashboards

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • tenantId
    String

    Filter imported dashboards by tenant UUID Filter imported dashboards by tenant UUID

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • id
      String

      Unique identifier of the imported dashboard record

      Example: imported-001-abc

    • templateId
      String

      UUID of the source template

      Example: tpl-vm-overview

    • grafanaUid
      String

      Grafana dashboard UID assigned after import

      Example: abcd1234efgh

    • grafanaUrl
      String

      Direct URL to the imported dashboard in Grafana

      Example: http://grafana.example.com/d/abcd1234efgh

    • datasourceId
      String

      UUID of the datasource linked to this dashboard

      Example: ds-001-abc

    • tenantId
      String

      UUID of the tenant that imported this dashboard

      Example: tenant-001-xyz

    • importedAt
      String

      Imported at

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of imported dashboards

    Example: 5

  • limit
    Integer

    Page size limit

    Example: 20

  • offset
    Integer

    Pagination offset

    Example: 20